Public Class GasPseudoPcrByLondonoArcherAndBlasingame2003

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasPseudoPcr, "Londono, Archer and Blasingame (2003)", "MPa")

		Input(pvtGasSG, 0, 0)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double) As Double
	
	    DoEval = 5.0048 - 0.4845 * gasSG - 0.0624 * gasSG ^ 2
	    
	End Function

End Class
