Public Class GasPseudoPcrBySutton2005

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasPseudoPcr, "Sutton (2005)", "MPa")

		Input(pvtGasSG, 0.556, 2.667)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double) As Double
	
	    DoEval = 4.627 + 0.0965 * gasSG - 0.2365 * gasSG ^ 2
	    
	End Function

End Class
