Public Class GasPseudoTcrByMcCain1985

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasPseudoTcr, "McCain (1985)", "K")

		Input(pvtGasSG, 0, 1.6)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double) As Double
	 
	    DoEval = 94 + 194.17 * gasSG - 41.11 * gasSG ^ 2
	
	end function

End Class
