Public Class GasPseudoTcrBySutton2005

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasPseudoTcr, "Sutton (2005)", "K")

		Input(pvtGasSG, 0.556, 2.667)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double) As Double
	
	    DoEval = 66.72 + 238.33 * gasSG - 34.94 * gasSG ^ 2
	    
	End Function

End Class
