Public Class GasViscOneAtmByLeeGonzalesIkin1975

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasViscOneAtm, "Lee, Gonzales, Ikin (1975)", "mPa*s")

		Input(pvtT, 559.8, 799.2, "R")
		Input(pvtGasMolMass, 0, 0, "g/mole")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasMolMass), _
           f.Val(pvtT))

	End Function

	Public Function DoEval( _
	    ByVal Mg As Double, _
	    ByVal T As Double) As Double
	    
	    DoEval = (9.4 + 0.002 * Mg) * T ^ 1.5 / (209 + 19 * Mg + T) * 0.0001
	    
	End Function

End Class
