Public Class DeadViscByAlKhafaji

	Inherits OilCorrelation

	Public Sub New()
		MyBase.New(pvtDeadVisc, "Al-Khafaji", "cPoise")

		Input(pvtOilSG, 0, 0)
		Input(pvtT, -459.67, -459.67, "F")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtT), _
           f.Val(pvtOilSG))

	End Function

	Public Function DoEval( _
	    ByVal T as Double, _
	    ByVal oilSG as Double) as Double
	
		oilSG = API(oilSG)	
	    Return 10 ^ (4.9563 - 0.00488 * T) / (oilSG + T / 30 - 14.29) ^ 2.709
	
	End Function
	

End Class
