Public Class DeadViscByGlaso1994

	Inherits OilCorrelation

	Public Sub New()
		MyBase.New(pvtDeadVisc, "Glaso (1994)", "cPoise")

		Input(pvtOilSG, 0, 0)
		Input(pvtT, -459.67, -459.67, "F")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtT), _
           f.Val(pvtOilSG))

	End Function

	Public Function DoEval( _
	    ByVal T as Double, _
	    ByVal oilSG as Double) as Double
	
		oilSG = API(oilSG)
	    Return 3.141 * 10 ^ 10 * T ^ (-3.444) * log10(oilSG) ^ (10.313 * log10(T) - 36.447)
	
	End Function
	

End Class
