Public Class DeadViscByKartoatmodjo1994

	Inherits OilCorrelation

	Public Sub New()
		MyBase.New(pvtDeadVisc, "Kartoatmodjo (1994)", "mPa*s")

		Input(pvtOilSG, 0.87, 0.92)
		Input(pvtT, 80.33, 319.73, "F")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtOilSG), _
           f.Val(pvtT))

	End Function

	Public Function DoEval( _
	    ByVal oilSG As Double, _
	    ByVal T As Double) As Double
	
	    oilSG = API(oilSG)
	
	    return 220150000000.0# * T ^ (-3.556) * (Log10(oilSG)) ^ (12.5428 * Log10(T) - 45.7874)
	
	End Function

End Class
