Public Class OilHeatCapacityByMustafaev

	Inherits OilCorrelation

	Public Sub New()
		MyBase.New(pvtOilHeatCapacity, "Mustafaev", "J/(kg*K)")

		Input(pvtOilDensRC, 0, 0, "kg/m3")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtOilDensRC))

	End Function

	Public Function DoEval( _
	    ByVal rhoO As Double) As Double
	
	    DoEval = 3391 - 1.675 * rhoO
	
	End Function

End Class
