Public Class FrictionFByBlazius

	Inherits PipeCorrelation

	Public Sub New()
		MyBase.New(pvtFrictionF, "Blazius", "")

		Input(pvtRe, 0, 0)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtRe))

	End Function

	Public Function DoEval( _
	    ByVal Re as Double) as Double
	
	    return 0.3164 / Re ^ 0.25
	End Function
	

End Class
