Public Class WaterGasTensByRamey1973

	Inherits WaterCorrelation

	Public Sub New()
		MyBase.New(pvtWaterGasTens, "Ramey (1973)", "N/m")

		Input(pvtGasDensRC, 0, 0, "kg/m3")
		Input(pvtWaterDensRC, 0, 0, "kg/m3")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtWaterDensRC), _
           f.Val(pvtGasDensRC))

	End Function

	Public Function DoEval( _
	    ByVal rhoW As Double, _
	    ByVal rhoG As Double) As Double
	
	    DoEval = 0.03 + 0.000036 * (rhoW - rhoG)
	    
	End Function

End Class
