Public Class WaterViscByBrillBeggs1978

	Inherits WaterCorrelation

	Public Sub New()
		MyBase.New(pvtWaterVisc, "Brill-Beggs (1978)", "cPoise")

		Input(pvtT, -459.67, -459.67, "F")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtT))

	End Function

	Public Function DoEval( _
	    ByVal T as Double) as Double
	
	    Return exp(1.003 - 1.479*10^(-2) * (T - 460) + 1.982*10^(-5) * (T - 460 ^ 2))
	
	End Function
	

End Class
