Public Class WaterViscByShylov1985

	Inherits WaterCorrelation

	Public Sub New()
		MyBase.New(pvtWaterVisc, "Shylov (1985)", "mPa*s")

		Input(pvtT, 293, 373, "K")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtT))

	End Function

	Public Function DoEval(ByVal T As Double) As Double
	
	    DoEval = Exp(1641.2 / T - 5.5908)
	    
	End Function

End Class
