Public Class GasPseudoPcrByBrown1948

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasPseudoPcr, "Brown (1948)", "Psia")

		Input(pvtGasSG, 0, 0)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double) As Double
	
	    DoEval = 677 + 15 * gasSG - 37.5 * gasSG ^ 2
	    
	End Function

End Class
