Public Class GasPseudoPcrByMcCain1985

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasPseudoPcr, "McCain (1985)", "MPa")

		Input(pvtGasSG, 0, 1.6)
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double) As Double
	
	    DoEval = 5.217952 - 0.903213 * gasSG - 0.024821 * gasSG ^ 2
	    
	End Function

End Class
