Public Class GasViscOneAtmByLondonoArcherBlasingame2002

	Inherits GasCorrelation

	Public Sub New()
		MyBase.New(pvtGasViscOneAtm, "Londono, Archer, Blasingame (2002)", "mPa*s")

		Input(pvtGasSG, 0, 0)
		Input(pvtT, 0, 0, "R")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtGasSG), _
           f.Val(pvtT))

	End Function

	Public Function DoEval( _
	    ByVal gasSG As Double, _
	    ByVal T As Double) As Double
	
	    DoEval = Exp((-6.39821 - 0.6045922 * Log(gasSG) + 0.749768 * Log(T) + 0.1261051 * Log(gasSG) * Log(T)) / (1 + 0.069718 * Log(gasSG) - 0.1013889 * Log(T) - 0.0215294 * Log(gasSG) * Log(T)))
	
	End Function

End Class
