Public Class OilCoByMoiseeva1972

	Inherits OilCorrelation

	Public Sub New()
		MyBase.New(pvtOilCo, "Moiseeva (1972)", "MPa-1")

		Input(pvtRs, 0, 0, "std m3/m3")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtRs))

	End Function

	Public Function DoEval(ByVal Rs As Double) As Double
	
	    DoEval = 0.00001 * (0.0923 * Rs + 7.41)
	
	End Function

End Class
