Public Class OilCoByTagintseva1983LightOils

	Inherits OilCorrelation

	Public Sub New()
		MyBase.New(pvtOilCo, "Tagintseva (1983, light oils)", "MPa-1")

		Input(pvtRs, 0, 0, "std m3/m3")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtRs))

	End Function

	Public Function DoEval(ByVal Rs As Double) As Double
	
	    DoEval = 0.00001 * (0.108 * Rs + 1.15) / 0.0981
	    
	End Function

End Class
