Public Class ViscositySCByShylov

    Inherits OilCorrelation

    Public Sub New()
        MyBase.New(pvtDeadVisc, "Shylov (1985, SC)")

        Input(pvtOilSG, 0.78, 0.924)
    End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
		 f.Val(pvtOilSG))

	End Function

    Public Function DoEval(ByVal oilSG As Double) As Double

        If oilSG <= 0.845 Then
            DoEval = ((0.456 * oilSG ^ 2) / (0.833 - oilSG ^ 2))
        Else
            DoEval = ((0.658 * oilSG ^ 2) / (0.886 - oilSG ^ 2))
        End If

    End Function

End Class


