Public Class WaterGasTensByGimatudinov1983

	Inherits WaterCorrelation

	Public Sub New()
		MyBase.New(pvtWaterGasTens, "Gimatudinov (1983)", "N/m")

		Input(pvtP, 0, 0, "MPa")
	End Sub

	Protected Overrides Function DoEvaluate(ByRef f As Fluids) As Double

		DoEvaluate = DoEval( _
           f.Val(pvtP))

	End Function

	Public Function DoEval( _
	    ByVal P As Double) As Double
	
	    DoEval = 10 ^ ((-1) * (1.19 + 0.01 * P))
	    
	End Function

End Class
